## solfege 3.23.4

=== feta/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard feta/*.png)
dist_files += $(wildcard feta/*)

=== graphics/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard graphics/*.png graphics/*.xpm graphics/*.svg)
dist_files += graphics/Makefile $(wildcard graphics/*.png graphics/*.xpm graphics/*.svg)
clean-files += $(addsuffix .png, $(basename $(wildcard graphics/*.svg)))

# This target is not actually used anywhere.
clean-graphics:
	rm $(addsuffix .png, $(basename $(wildcard graphics/*.svg)))

install-graphics:
	mkdir -p $(DESTDIR)/$(datadir)/pixmaps
	$(INSTALL_DATA) graphics/solfege.svg $(DESTDIR)/$(datadir)/pixmaps/

uninstall-graphics:
	rm -f $(DESTDIR)/$(datadir)/pixmaps/solfege.png

=== help/Makefile ===
# vim: set noexpandtab:
# NB: There are some places further down this file where we have
# to add a line for each language we add. It is not enought just
# to add to this variable:
USER_MANUAL_LANGUAGES=de eo es et fr gl nb nl pl pt_BR ru tr
include help/C/Makefile

I18NDEFS:=--stringparam chunker.output.encoding "UTF-8"
XSLTPARAMS:= \
--param chunk.quietly 1 \
--param use.id.as.filename 1 \
--param callout.unicode 1 \
--param callout.graphics 0 \
--param xref.with.number.and.title 0 \
--xinclude \
--stringparam html.stylesheet "../style.css"

dist_files += help/Makefile help/README \
	help/style.css \
	$(foreach dir,C $(USER_MANUAL_LANGUAGES), \
	$(wildcard help/$(dir)/*.html) \
	$(wildcard help/$(dir)/*.xml) \
	$(wildcard help/$(dir)/$(dir).po) \
	$(wildcard help/$(dir)/figures/*.png) \
	$(wildcard help/$(dir)/ly/*.png) \
	)

# Add all .ly files in help/C/ly that are not generated files.
dist_files += $(filter-out $(shell $(PYTHON) tools/generate_theory_ly.py --ly-C-targets),$(wildcard help/C/ly/*.ly))

installfiles+=$(foreach dir,$(USER_MANUAL_LANGUAGES), \
	$(wildcard help/$(dir)/*.html) \
	$(wildcard help/$(dir)/figures/*.png) \
	$(wildcard help/$(dir)/ly/*.png) \
	)
installfiles+=help/style.css

ifneq "$(skipmanual)" "yes"
ifdef LILYPOND
all: $(shell $(PYTHON) tools/generate_theory_ly.py --png-targets)
endif
endif
# I have removed any code that will merge help/C/solfege.pot and
# help/lang/lang.po since the Translation Project should do all merging.
# generation of C/solfege.pot is in help/C/Makefile
# User manual dependencies:
# (1) help/C/solfege.pot: SOURCES
# (2) help/lang/solfege.xml: help/C/solfege.pot help/lang/lang.po $(NOT_TRANSLATED_SOURCES)
#     NB: lang.po is only changed if we have new translations. So we must
#     depend on solfege.pot too, since we will use the english text if
#     no translation exist.
# (3) help/lang/index.html: help/lang/solfege.xml

help/de/solfege.xml: help/C/solfege.pot help/de/de.po $(USER_MANUAL_SOURCES)
help/eo/solfege.xml: help/C/solfege.pot help/eo/eo.po $(USER_MANUAL_SOURCES)
help/es/solfege.xml: help/C/solfege.pot help/es/es.po $(USER_MANUAL_SOURCES)
help/et/solfege.xml: help/C/solfege.pot help/et/et.po $(USER_MANUAL_SOURCES)
help/fr/solfege.xml: help/C/solfege.pot help/fr/fr.po $(USER_MANUAL_SOURCES)
help/gl/solfege.xml: help/C/solfege.pot help/gl/gl.po $(USER_MANUAL_SOURCES)
help/nb/solfege.xml: help/C/solfege.pot help/nb/nb.po $(USER_MANUAL_SOURCES)
help/nl/solfege.xml: help/C/solfege.pot help/nl/nl.po $(USER_MANUAL_SOURCES)
help/pl/solfege.xml: help/C/solfege.pot help/pl/pl.po $(USER_MANUAL_SOURCES)
help/pt_BR/solfege.xml: help/C/solfege.pot help/pt_BR/pt_BR.po $(USER_MANUAL_SOURCES)
help/ru/solfege.xml: help/C/solfege.pot help/ru/ru.po $(USER_MANUAL_SOURCES)
help/tr/solfege.xml: help/C/solfege.pot help/tr/tr.po $(USER_MANUAL_SOURCES)

help/%/solfege.xml:
ifdef XML2PO
ifneq "$(skipmanual)" "yes"
	for filename in $(notdir $(USER_MANUAL_SOURCES)); do \
	$(XML2PO) --keep-entities -p $(patsubst help/%/solfege.xml, help/%, $@)/$(patsubst help/%/solfege.xml,%,$@).po -o $(dir $@)/$$filename help/C/$$filename; \
	done
	rm -f .xml2po.mo
endif
endif

manual-po-update: help/C/solfege.pot
	for pofile in $(wildcard help/*/*.po); do \
         cp $$pofile tmpfile; \
         $(MSGMERGE) tmpfile help/C/$(PACKAGE).pot > $$pofile; \
       done
	rm tmpfile
	@echo
	@echo "Just a friendly reminder:"
	@echo "The translation of GNU Solfege is handled by the Translation Project."
	@echo "You should visit http://translationproject.org and follow their"
	@echo "guidelines if you want to translate GNU Solfege."

xmllint:
	for lang in $(USER_MANUAL_LANGUAGES); do \
		xmllint --postvalid --dtdvalid http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd --xinclude --noout  help/$$lang/solfege.xml ;\
		if [ $$? -eq 0 ] ; then true; else exit $$?; fi \
	done

xmllint-C:
	xmllint --postvalid --dtdvalid http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd --xinclude --noout  help/C/solfege.xml

maintainer-clean: rm-generated-user-manual

genlyfiles: $(MOFILES)
	$(PYTHON) tools/generate_theory_ly.py --all

rm-generated-user-manual:
	for dir in $(USER_MANUAL_LANGUAGES); do \
		rm -f help/$$dir/*.html; \
		rm -f help/$$dir/*.xml; \
		rm -rf help/$$dir/ly; \
	done
	rm -f help/C/*.html

TARGETS += help/C/rhythmtable.xml
help/C/rhythmtable.xml: tools/gen_rhythms_table.py
	$(PYTHON) tools/gen_rhythms_table.py

%/one-big-page.html: %/solfege.xml
	(cd $(dir $<); $(XSLTPROC) $(I18NDEFS) --xinclude --stringparam html.stylesheet "../style.css" --stringparam root.filename "one-big-page" --param onechunk 1 $(subst chunk,onechunk,$(STYLESHEET)) $(notdir $<) )

%/index.html: %/solfege.xml
ifneq "$(skipmanual)" "yes"
ifeq "$(HAVE_STYLESHEET)" "yes"
 ifneq "$(XSLTPROC)" ""
	(cd $(dir $<); $(XSLTPROC) $(I18NDEFS) $(XSLTPARAMS) $(STYLESHEET) $(notdir $<))
 else
  ifneq "$(skipmanual)" "yes"
	@echo "*** Cannot rebuild the user manual because you don't have xsltproc installed."
	@echo "*** Run make as 'make skipmanual=yes' to ignore the problem and don't build the docs"
	exit 64
  endif
 endif
else
 ifneq "$(skipmanual)" "yes"
	@echo "*** Cannot rebuild html docs because we are missing the docbook stylesheet."
	@echo "*** Try to install the missing software and reconfigure."
	@echo "*** Run make as 'make skipmanual=yes' to ignore the problem and don't build the docs"
	exit 64
 endif
endif
endif
ifeq "$(skipmanual)" "yes"
	@echo "*** Not building manual because nomanual=yes"
endif

.PHONY: update-manual
ifdef XML2PO
update-manual: $(addsuffix /index.html,$(addprefix help/,C $(USER_MANUAL_LANGUAGES)))
else
update-manual:
	@echo "You have to install xml2po to run 'make update-manual'"
endif

%.png:%.ly
ifeq "$(LILYPOND_VERSION)" "2.10"
	$(LILYPOND) -I ../../C/ly --png -b eps -dno-gs-load-fonts -dinclude-eps-fonts -o $(basename $@) $<
else
	$(LILYPOND) -I ../../C/ly --png -d backend=eps -o $(basename $@) $<
endif

stupid-step1:
	rm -rf manual-po-tmp
	rm -rf my-manual-po-tmp
	mkdir my-manual-po-tmp
	rsync -Lrtvz  translationproject.org::tp/latest/solfege-manual/  manual-po-tmp

stupid-step2:
	cp help/*/*.po my-manual-po-tmp
	for lang in $(basename $(notdir $(wildcard manual-po-tmp/*.po))); do \
		    mkdir -p help/$$lang; \
			cp manual-po-tmp/$$lang.po help/$$lang/$$lang.po; \
	done
	diff my-manual-po-tmp manual-po-tmp > manual-po-diff.tmp || true
	@if test -s "manual-po-diff.tmp" ; then \
		echo "There are new translations of the manual that need to be committed."; \
		echo "Exiting..."; \
		exit 10; \
	fi
	rm -f manual-po-diff.tmp
	rm -rf my-manual-po-tmp manual-po-tmp

# I had to split check-for-new-manual-po-files into two subtargets and
# run make on them because often the wilcard in stupid-step2 would not
# find any files in manual-po-tmp even though I verified that they where
# there.
check-for-new-manual-po-files:
ifneq "$(skip_new_po_test)" "yes"
	@echo "Run with 'skip_new_po_test=yes' to drop the following check."
	$(MAKE) stupid-step1 
	$(MAKE) stupid-step2
endif

=== po/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

POFILES:=$(wildcard po/*.po)
MOFILES:=$(patsubst %.po,%.mo, $(POFILES))
POLANGUAGES:=$(patsubst po/%.po,%,$(POFILES))
TARGETS += $(MOFILES)
dist_files += $(POFILES) po/Makefile po/solfege.pot

%.mo: %.po
	$(MSGFMT) $< -o $@

local-message-catalogs:=$(patsubst %,share/locale/%/LC_MESSAGES/$(PACKAGE).mo,$(POLANGUAGES))
all: $(local-message-catalogs)

share/locale/%/LC_MESSAGES/$(PACKAGE).mo: po/%.mo
	mkdir -p share/locale/$(patsubst po/%.mo,%,$<)/LC_MESSAGES
	cp $< $@

run-from-srcdir: $(MOFILES)
	# we to this just to make life simpler when running from source dir
	for lang in $(POLANGUAGES); do \
	  mkdir -p share/locale/$$lang/LC_MESSAGES ; \
	  cp po/$$lang.mo share/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	done

install-po:
	for lang in $(POLANGUAGES); do \
	  mkdir -p $(DESTDIR)/$(datadir)/locale/$$lang/LC_MESSAGES; \
	  $(INSTALL_DATA) po/$$lang.mo $(DESTDIR)/$(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	done

uninstall-po:
	for lang in $(POLANGUAGES); do \
	  rm -f $(DESTDIR)/$(datadir)/locale/$$lang/LC_MESSAGES/$(PACKAGE).mo; \
	  rmdir $(DESTDIR)/$(datadir)/locale/$$lang/LC_MESSAGES || true ; \
	  rmdir $(DESTDIR)/$(datadir)/locale/$$lang|| true ; \
	done
	rmdir $(DESTDIR)/$(datadir)/locale || true

trfiles:=$(wildcard solfege/*.py) \
	   $(wildcard solfege/mpd/*.py) \
	   $(wildcard solfege/soundcard/*.py) \
	   $(wildcard solfege/exercises/*.py) \
           $(filter-out exercises/standard/lesson-files/bin \
                        exercises/standard/lesson-files/include \
						exercises/standard/lesson-files/share, \
					$(wildcard exercises/standard/lesson-files/*)) \
		   $(wildcard exercises/standard/lesson-files/include/*) \
		   $(filter-out exercises/standard/debugtree.txt, $(wildcard exercises/standard/*.txt))

po-update: po/solfege.pot
	for pofile in $(POFILES); do \
         cp $$pofile tmpfile; \
         $(MSGMERGE) tmpfile po/$(PACKAGE).pot > $$pofile; \
       done
	rm tmpfile
	@echo
	@echo "Just a friendly reminder:"
	@echo "The translation of GNU Solfege is handled by the Translation Project."
	@echo "You should visit http://translationproject.org and follow their"
	@echo "guidelines if you want to translate GNU Solfege."

po/solfege.pot: $(trfiles)
	$(XGETTEXT) --from-code=utf-8 --add-comments=translators -L python -o solfege.pot -p po \
	--copyright-holder="Tom Cato Amundsen" \
	--keyword=_i $(trfiles)

check-for-new-po-files:
ifneq "$(skip_new_po_test)" "yes"
	@echo "Run with 'skip_new_po_test=yes' to drop the following check."
	rsync -Lrtvz  translationproject.org::tp/latest/solfege/  po
	$(GIT) status --porcelain po > po-diff.tmp
	@echo
	@if test -s "po-diff.tmp" ; then \
		$(GIT) status po ; \
		echo "There are new translations in po/ that need to be committed."; \
		echo "Exiting..."; \
		exit 10; \
	fi
	rm -f po-diff.tmp
endif

=== test/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

dist_files += test/Makefile test/README $(wildcard test/*.c test/*.py)
clean-files += $(wildcard test/*.py[co])

=== tools/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

dist_files += tools/Makefile $(wildcard tools/*.py tools/*.c tools/*.sh)
clean-files += $(wildcard tools/*.py[co])

=== topdocs/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


dist_files += topdocs/Makefile $(wildcard topdocs/*.texi) topdocs/defs.texi.in

=== exercises/standard/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard exercises/standard/*.txt)
dist_files += $(wildcard exercises/standard/*.txt) exercises/standard/Makefile

installfiles += $(wildcard exercises/standard/lib/*)
dist_files += $(wildcard exercises/standard/lib/*)

include exercises/standard/lesson-files/Makefile
include exercises/standard/regression-lesson-files/Makefile

=== solfege/soundcard/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(wildcard solfege/soundcard/*.py)
dist_files += solfege/soundcard/Makefile \
	$(wildcard solfege/soundcard/*.py) \
	$(wildcard solfege/soundcard/*.c solfege/soundcard/*.i solfege/soundcard/*.h) \
	solfege/soundcard/winmidi.dsp solfege/soundcard/winmidi.dsw solfege/soundcard/winmidi.def \
	$(wildcard solfege/soundcard/tests/*.py)

CFLAGS:=$(CFLAGS) -I/usr/src/linux/include -Wall -pedantic -fPIC -I.
CC:=$(CC) $(CFLAGS) -DHAVE_CONFIG_H 

ifeq ($(ENABLE_OSS_SOUND),yes)
 ifdef SWIG
  ifeq ($(SWIG_VERSION),1.1)
   TARGETS += solfege/soundcard/solfege_c_midimodule.so
  else
   TARGETS += solfege/soundcard/_solfege_c_midi.so
  endif
 endif
endif

OBJECTS = solfege/soundcard/macro_to_function.o \
	solfege/soundcard/solfege_c_midi.o \
	solfege/soundcard/solfege_c_midi_wrap.o

ifeq ($(ENABLE_TUNER),yes)
OBJECTS += solfege/soundcard/fft.o \
           solfege/soundcard/dsp.o \
		   solfege/soundcard/gate.o \
		   solfege/soundcard/calc.o \
		   solfege/soundcard/xmalloc.o
LDFLAGS += -lm -lrfftw -lfftw
endif

solfege/soundcard/solfege_c_midimodule.so: $(OBJECTS)
	$(CC) $(LDFLAGS) -fPIC -shared $(OBJECTS) -o $@ -lc

solfege/soundcard/_solfege_c_midi.so: $(OBJECTS)
	$(CC) $(LDFLAGS) -fPIC -shared $(OBJECTS) -o $@ -lc 

solfege/soundcard/solfege_c_midi_wrap.o: solfege/soundcard/solfege_c_midi_wrap.c solfege/soundcard/solfege_c_midi.i
	(cd solfege/soundcard; $(CC) $(CFLAGS) -c solfege_c_midi_wrap.c $(PYTHON_INCLUDES))

solfege/soundcard/solfege_c_midi_wrap.c: solfege/soundcard/solfege_c_midi.c solfege/soundcard/macro_to_function.c solfege/soundcard/solfege_c_midi.i
	(cd solfege/soundcard; $(SWIG) -python solfege_c_midi.i)

# win32

ifeq ($(ENABLE_WINMIDI),yes)
TARGETS += solfege/soundcard/winmidi.pyd
endif

DLLWRAP=dllwrap

%/winmidi.pyd: %/winmidi.o
	$(DLLWRAP) --dllname=$@ --def=solfege/soundcard/winmidi.def $< -o $@ -s --entry=_DllMain@12 -L/usr/i586-mingw32msvc/lib/ -lwinmm $(PYTHONDLL)

%/winmidi.o: %/winmidi.c
	$(CC) $(CFLAGS) $(PYTHON_INCLUDES) -c $< -o $@

# end win32

install-soundcard:
ifeq ($(ENABLE_OSS_SOUND),yes)
	mkdir -p $(DESTDIR)/$(libdir)/$(PACKAGE)
ifdef SWIG
  ifeq ($(SWIG_VERSION),1.1)
	$(INSTALL_DATA) solfege/soundcard/solfege_c_midimodule.so $(DESTDIR)/$(libdir)/$(PACKAGE)/
  else
	$(INSTALL_DATA) solfege/soundcard/_solfege_c_midi.so $(DESTDIR)/$(libdir)/$(PACKAGE)/
  endif
endif
endif

uninstall-soundcard:
ifdef SWIG
  ifeq ($(SWIG_VERSION),1.1)
	rm -f $(DESTDIR)/$(libdir)/$(PACKAGE)/solfege_c_midimodule.so
  else
	rm -f $(DESTDIR)/$(libdir)/$(PACKAGE)/_solfege_c_midi.so
  endif
endif
	rmdir $(DESTDIR)/$(libdir)/$(PACKAGE) || true
	rmdir $(DESTDIR)/$(libdir)/$(PACKAGE) || true

clean-files += \
	$(wildcard solfege/soundcard/*.o \
               solfege/soundcard/*.so \
               solfege/soundcard/*.py[cdo] \
               solfege/soundcard/tests/*.py[co])

distclean-files += solfege/soundcard/solfege_c_midi_wrap.c

=== exercises/standard/lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2000, 2001, 2002, 2003, 2004, 2007, 2008, 2011, 2016  Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(filter-out \
	exercises/standard/lesson-files/Makefile \
	exercises/standard/lesson-files/bin \
	exercises/standard/lesson-files/share \
	exercises/standard/lesson-files/include, \
	$(wildcard exercises/standard/lesson-files/* \
	           exercises/standard/lesson-files/bin/* \
			   exercises/standard/lesson-files/share/* \
			   exercises/standard/lesson-files/include/*))

lf_dist_files += $(filter-out exercises/standard/lesson-files/bin \
			               exercises/standard/lesson-files/share \
						   exercises/standard/lesson-files/include, \
	$(wildcard exercises/standard/lesson-files/* \
	           exercises/standard/lesson-files/bin/* \
			   exercises/standard/lesson-files/share/* \
			   exercises/standard/lesson-files/include/*))

.PHONY: gen-lessonfiles
gen-lessonfiles:
	$(PYTHON) tools/generate_lessonfiles.py
all: gen-lessonfiles

=== exercises/standard/regression-lesson-files/Makefile ===
# vim: set noexpandtab:
#
# GNU Solfege - free ear training software
# Copyright (C) 2004, 2007, 2008, 2011, 2016 Tom Cato Amundsen
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

installfiles += $(filter-out \
	exercises/standard/regression-lesson-files/Makefile \
	exercises/standard/regression-lesson-files/share, \
	$(wildcard exercises/standard/regression-lesson-files/* \
			   exercises/standard/regressions-lesson-files/share/*))

lf_dist_files += $(filter-out exercises/standard/regression-lesson-files/share, \
        $(wildcard exercises/standard/regression-lesson-files/* \
                   exercises/standard/regression-lesson-files/share/*))

.PHONY: gen-regression-lessonfiles
gen-regression-lessonfiles:
	$(PYTHON) tools/gen_regression_lessonfiles.py

all: gen-regression-lessonfiles

=== debian/changelog ===
solfege (3.23.4-11) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Francois Mazen <francois@mzf.fr>  Tue, 20 Apr 2021 22:02:00 +0200

solfege (3.23.4-10) unstable; urgency=medium

  * Fix broken simlink (Closes: #986470)
  * Update Standards-Version to 4.5.1.

 -- Francois Mazen <francois@mzf.fr>  Mon, 05 Apr 2021 01:56:42 +0200

solfege (3.23.4-9) unstable; urgency=medium

  * Display message when documentation is not installed (Closes: #949294)
  * Replace unversioned python call to explicit python3 (Closes: #967212)
  * Move documentation in /usr/share/doc and register html files with doc-base
  * Remove duplicate files in documentation with jdupes

 -- Francois Mazen <francois@mzf.fr>  Mon, 03 Aug 2020 19:37:38 +0200

solfege (3.23.4-8) unstable; urgency=medium

  * Fix python3 warning (Closes: #955170).
  * Update VCS url.
  * Set debhelper-compat to 13.
  * Use yelp-tools to generate documentation.
  * Fix national encoding Lintian warning.
  * Forward patches to upstream.
  * Recommends solfege-doc for solfege (Bug#949294).

 -- Francois Mazen <francois@mzf.fr>  Sat, 09 May 2020 17:25:52 +0200

solfege (3.23.4-7) unstable; urgency=medium

  * Add dh-python dependency (Closes: #951890)
  * Remove gnome-doc-utils dependency (Closes: #947539)
  * Fix UTF-8 issue with tex2any and topdocs files.
  * Update Standards-Version to 4.5.0.
  * Update Debhelper compatibility to 12.

 -- Francois Mazen <francois@mzf.fr>  Sun, 23 Feb 2020 21:57:26 +0100

solfege (3.23.4-6) unstable; urgency=medium

  * Fix failing autopkgtest
  * Add Salsa VCS fields in control file
  * Setup Salsa CI

 -- Francois Mazen <francois@mzf.fr>  Mon, 04 Feb 2019 22:01:49 +0100

solfege (3.23.4-5) unstable; urgency=high

  * Fix webbrowser registering issue (Closes: #920639)
  * Update Standards Version to 4.3.0
  * Add simple autopkgtest

 -- Francois Mazen <francois@mzf.fr>  Mon, 28 Jan 2019 21:08:40 +0100

solfege (3.23.4-4) unstable; urgency=low

  * Fix mismatch between intermediate eps files when converting lilypond files
    to png files. This issue lead to reproducible issue.
  * Add Comment entry to desktop file to fix AppStream error.

 -- Francois Mazen <francois@mzf.fr>  Sun, 19 Aug 2018 12:01:06 +0200

solfege (3.23.4-3) unstable; urgency=low

  * New maintainer (Closes: #762451)
  * Updating Standards-Version to 4.2.0
  * Add sensible-utils dependency
  * Remove trailing whitespaces in changelog file
  * Add keywords to desktop file

 -- Francois Mazen <francois@mzf.fr>  Thu, 16 Aug 2018 14:54:29 +0200

solfege (3.23.4-2) unstable; urgency=low

  * QA upload.
  * Mark solfege-oss as Multi-Arch: same.
  * Add lintian override for dependency-is-not-multi-archified, because
    solfege can't be multi-archified.
  * Add patch to sort languages in generated file to allow reproducible build.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 16 Feb 2018 00:42:33 +0100

solfege (3.23.4-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - no longer requires rsvg (LP: #1004485)
  * Orphan package (see #762445).
  * debian/control:
    - update Homepage
    - update build dependencies for port to python3 / gtk3
    - drop recommendation of pyalsa, which is only available for python2
    - mark solfege-doc as Multi-Arch: foreign
    - minor improvements to descriptions
  * debian/patches:
    - refresh patches
    - add patch to fix warnings during autoreconf causing build failure
    - add patch to honour CPPFLAGS to support passing hardening flags
    - add patch to fix gtk deprecation warnings
    - add patch to workaround hidden menubar texts
    - re-add xvfb-run patch to series file
    - drop patch that disabled gettext test (running fine now)
    - drop patch that disabled pot rebuilding, as the target is not run
    - add DEP3 headers
  * Update Standards-Version to 4.1.3
    - drop menu file
  * Update debhelper compatibility to 11.
  * Add debian/clean to properly clean generated files.
  * Remove trailing whitespace in debian/changelog.
  * Build with all hardening options.
  * Point watch file to sf.net (the recent versions are currently
    distributed there).
  * Update paths of installed files in debian/*.install.
  * Enable running tests during build again
    - set UTF-8 locale, which is currently required by tests
  * Convert debian/copyright to copyright format 1.0 and add myself.
  * Run wrap-and-sort.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 10 Feb 2018 19:33:02 +0100

=== debian/control ===
Source: solfege
Section: gnome
Priority: optional
Maintainer: Francois Mazen <francois@mzf.fr>
Build-Depends: debhelper,
               debhelper-compat (= 13),
               dh-python,
               docbook-xml,
               docbook-xsl,
               gettext,
               gir1.2-gtk-3.0,
               itstool,
               jdupes,
               lilypond,
               python3-dev,
               python3-gi,
               python3-gi-cairo,
               swig,
               texinfo,
               txt2man,
               xauth,
               xsltproc,
               xvfb
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.gnu.org/software/solfege/
Vcs-Browser: https://salsa.debian.org/mzf/solfege
Vcs-Git: https://salsa.debian.org/mzf/solfege.git

Package: solfege
Architecture: all
Depends: freepats,
         gir1.2-gtk-3.0,
         python3-apt,
         python3-gi,
         python3-gi-cairo,
         timidity,
         sensible-utils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: csound, solfege-doc
Description: Ear training software
 GNU Solfege is an ear training program for X Windows written in Python,
 using the GTK+ 3.0 libraries. You can practice harmonic and
 melodic intervals, chords, scales and rhythms, and you can add new
 exercises using a simple plain text file format.
 .
 Ear training is a big subject with many connections to music theory
 and performance of music.
 .
 To use this software, you need some basic knowledge about music theory.

Package: solfege-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Section: doc
Description: Ear training software - documentation
 GNU Solfege is an ear training program for X Windows written in Python,
 using the GTK+ 3.0 libraries. You can practice harmonic and
 melodic intervals, chords, scales and rhythms, and you can add new
 exercises using a simple plain text file format.
 .
 This package contains the documentation files for GNU Solfege.

Package: solfege-oss
Architecture: any
Multi-Arch: same
Depends: solfege, ${misc:Depends}, ${shlibs:Depends}
Description: Ear training software - OSS support module
 GNU Solfege is an ear training program for X Windows written in Python,
 using the GTK+ 3.0 libraries. You can practice harmonic and
 melodic intervals, chords, scales and rhythms, and you can add new
 exercises using a simple plain text file format.
 .
 This package contains the Python module GNU Solfege needs to access
 the sequencer device of OSS.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# UTF-8 locale required for tests
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build
	$(MAKE) update-manual

wrong_encoding_files = \
$(CURDIR)/debian/tmp/usr/share/solfege/exercises/standard/lesson-files/barnesanger \
$(CURDIR)/debian/tmp/usr/share/solfege/exercises/standard/lesson-files/progression-atte \
$(CURDIR)/debian/tmp/usr/share/solfege/exercises/standard/lesson-files/volkslieder1 \
$(CURDIR)/debian/tmp/usr/share/solfege/exercises/standard/lesson-files/volkslieder2

override_dh_auto_install:
	dh_auto_install
	for ifile in  $(wrong_encoding_files); do \
	    iconv --from-code=iso-8859-1 --to-code=utf-8 --output=$$ifile $$ifile; \
	done

override_dh_link:
	dh_link
	jdupes -rl debian/solfege-doc/usr/share/doc

=== debian/tests/control ===
Tests: version
Depends: solfege, expect

=== debian/watch ===
version=4
https://sf.net/@PACKAGE@/ @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
